Monday, February 19th 2018, 8:42pm UTC+1

You are not logged in.

  • Login
  • Register

Dear visitor, welcome to SEGGER Forum. If this is your first visit here, please read the Help. It explains how this page works. You must be registered before you can use all the page's features. Please use the registration form, to register here or read more information about the registration process. If you are already registered, please login here.

mforster

Beginner

Date of registration: Jan 31st 2018

Posts: 2

1

Wednesday, January 31st 2018, 3:08pm

J-Link on Code Composer Studio

Hi,

I am trying to setup Code Composer Studio version 6.2 to use my J-Link and have been follwing the instructions at https://www.segger.com/products/debug-pr…-composer/#ccs6 . However when I try and install the plugin I get the message -

Unable to read repository at https://download.segger.com/J-Link/JLink…ied/content.xml.
Unable to read repository at https://download.segger.com/J-Link/JLink…ied/content.xml.
sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target


Help!

Mike

SEGGER - Nino

Super Moderator

Date of registration: Jan 2nd 2017

Posts: 699

2

Friday, February 2nd 2018, 10:04am

Hello Mike,

Thank you for your inquiry.

It seems that some CCS6 versions do not like https links. So simply change https to http and you should be good to go.
We will update the documentation accordingly.
Sorry for any inconveniences caused.

Best regards,
Nino

mforster

Beginner

Date of registration: Jan 31st 2018

Posts: 2

3

Friday, February 2nd 2018, 11:17am

Hi Nino,

I tried that and I still get the same error message. I think it's time to install a new version of CCS.

Mike

SEGGER - Nino

Super Moderator

Date of registration: Jan 2nd 2017

Posts: 699

4

Friday, February 2nd 2018, 11:31am

Hi Mike,

ok that sounds odd.
Do you have any firewall running or anti virus program that might block CCS?
During my installation of the CSS6.2 I had to forward the windows firewall like 8 times and during J-Link plugin installation 3 times. So it might be that some firewall or software is blocking your download request.

Quoted

I think it's time to install a new version of CCS.

This is also a possibility. Since CCS7 J-Link support is native.

Alternatively we suggest our own IDE Embedded Studio which is a perfect match for any J-Link/J-Trace debug probe.
https://www.segger.com/products/developm…mbedded-studio/
It can be evaluated for free and offers CPU support packages for quick and simple project setups for more than 3000 devices.
Currently we also have TI packages for the MSP432P4, MSP432E and TM4C series.

You can also use our Ozone debug software for free which is compatible with CCS output formats: https://www.segger.com/products/developm…-link-debugger/
The idea is that you write and compile your projects in your familiar IDEs and then do the debugging in Ozone with support for the whole J-Link and J-Trace feature set.

Best regards,
Nino

ubermensch

Beginner

Date of registration: Jan 14th 2018

Posts: 3

5

Sunday, February 11th 2018, 7:55am

Hello Mike,

I think I encountered the same error as you did while trying to install the plugin to CCSv6. I am using CCSv6.2. Here's what I did:


- added the ff. line in the last line of ccstudio.ini
-Dorg.eclipse.ecf.provider.filetransfer.excludeContributors=org.eclipse.ecf.provider.filetransfer.httpclient4


Sources:
[https://stackoverflow.com/questions/4066…gin-for-eclipse]
[https://stackoverflow.com/questions/2896…631964#33631964]